Bug 174082 - CVE-2005-3806 ipv6 DOS
CVE-2005-3806 ipv6 DOS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Graf
Brian Brock
reported=20051124,source=vendorsec,pu...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-24 06:29 EST by Mark J. Cox (Product Security)
Modified: 2014-06-18 04:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2006-0140
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-19 11:01:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-11-24 06:29:39 EST
+++ This bug was initially created as a clone of Bug #174081 +++

A typo in IPv6 flowlabel handling code in Linux kernels 2.4 up
        to 2.4.32 and 2.6 before 2.6.14 could be used by a local
        attacker to cause the kernel free non-allocated memory and in
        turn corrupt kernel memory and/or crash the machine.

Fixed upstream by:
http://linux.bkbits.net:8080/linux-2.6/cset@435ebd2095VXAPIHGRQXkibspCvlPw

This issue affects kernels 2.4 as well as 2.6 up to 2.6.14
Comment 1 Ernie Petrides 2006-01-11 18:37:01 EST
A fix for this problem has just been committed to the RHEL3 E7
patch pool this evening (in kernel version 2.4.21-37.0.1.EL).
Comment 4 Red Hat Bugzilla 2006-01-19 11:01:48 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0140.html
Comment 5 Ernie Petrides 2006-01-20 18:36:38 EST
A fix for this problem has also been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-39.EL).

Note You need to log in before you can comment on or make changes to this bug.